### Hierarchy

- JsonFormsControl
  - ObjectControlRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- data
- detailUiSchema
- disabled
- enabled
- error
- form
- getEventValue
- hidden
- id
- label
- ngRedux
- path
- schema
- scopedSchema
- subscription
- uischema
- validator
- visible

### Methods

- getOwnProps
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- triggerValidation

## Constructors

### constructor

- new ObjectControlRenderer(ngRedux: NgRedux<JsonFormsState>): ObjectControlRenderer

- Overrides JsonFormsControl.__constructor

  - Defined in other/object.renderer.ts:52

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns ObjectControlRenderer

## Properties

### data

data: any

Inherited from JsonFormsControl.data

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:14

### detailUiSchema

detailUiSchema: UISchemaElement

- Defined in other/object.renderer.ts:52

### disabled

disabled: boolean

Inherited from JsonFormsControl.disabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:10

### enabled

enabled: boolean

Inherited from JsonFormsControl.enabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:18

### error

error: string | null

Inherited from JsonFormsControl.error

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:16

### form

form: FormControl

Inherited from JsonFormsControl.form

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:12

### getEventValue

getEventValue: function

Inherited from JsonFormsControl.getEventValue

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:21

#### Type declaration

- - (event: any): any

  - #### Parameters

    - ##### event: any

    #### Returns any

### hidden

hidden: boolean

Inherited from JsonFormsControl.hidden

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:19

### id

id: string

Inherited from JsonFormsControl.id

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:9

### label

label: string

Inherited from JsonFormsControl.label

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:15

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsControl.ngRedux

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:8

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsControl.scopedSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:17

### subscription

subscription: Subscription

Inherited from JsonFormsControl.subscription

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:13

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### validator

validator: ValidatorFn

Inherited from JsonFormsControl.validator

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:24

### visible

visible: boolean

Inherited from JsonFormsControl.visible

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:11

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from JsonFormsControl.getOwnProps

  Overrides JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:27

  #### Returns OwnPropsOfControl

### mapAdditionalProps

- mapAdditionalProps(props: ControlProps): void

- Overrides JsonFormsControl.mapAdditionalProps

  - Defined in other/object.renderer.ts:56

  #### Parameters

  - ##### props: ControlProps

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): ControlProps

- Inherited from JsonFormsControl.mapToProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:28

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns ControlProps

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsControl.ngOnDestroy

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:26

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from JsonFormsControl.ngOnInit

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:23

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsControl.onChange

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:22

  #### Parameters

  - ##### ev: any

  #### Returns void

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsControl.triggerValidation

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:29

  #### Returns void

Generated using TypeDoc